package com.activiti6.domain;


import java.io.Serializable;
import java.util.Date;

public class MyProcessDefinition implements Serializable {

    private static final long serialVersionUID = 1L;


    private String id;


    private String deploymentId;
    /**
     * 流程名称
     */
    private String name;
    /**
     * 流程KEY
     */
    private String key;
    /**
     * 流程版本
     */
    private int version;
    /**
     * 所属分类
     */
    private String category;
    /**
     * 流程描述
     */
    private String description;

    /**
     * 部署时间
     */
    private Date deploymentTime;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public int getVersion() {
        return version;
    }

    public void setVersion(int version) {
        this.version = version;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getDeploymentId() {
        return deploymentId;
    }

    public void setDeploymentId(String deploymentId) {
        this.deploymentId = deploymentId;
    }

    public Date getDeploymentTime() {
        return deploymentTime;
    }

    public void setDeploymentTime(Date deploymentTime) {
        this.deploymentTime = deploymentTime;
    }


}
